#!/usr/bin/env bash
set -e

# Get absolute path of this script’s directory
SCRIPT_DIR="$(cd "$(dirname "$0")" && pwd)"
ROOT_DIR="$SCRIPT_DIR/.."

# Run deploy + config with absolute paths
source "$ROOT_DIR/scripts/config.sh"

# Make sure we're up-to-date
git push origin main
git push gitea main

# Run remote install on the target
ssh $HOST "cd $DEST && bun runner update"